Package com.studica.frc.jni

## Class TitanSmallEncoderJNI

- java.lang.Object
- - com.studica.frc.jni.TitanJNIWrapper
  - - com.studica.frc.jni.TitanSmallEncoderJNI

    public class TitanSmallEncoderJNI
    extends TitanJNIWrapper

### Constructor Summary

Constructors
`TitanSmallEncoderJNI()`

### Method Summary

All Methods Static Methods Concrete Methods
`static double` `c_TitanSmallEncoder_getEncoderDistance​(long handle, double encoder0DistPerTick, double encoderTicks, double distance)`
`static void` `c_TitanSmallEncoder_resetEncoder​(long handle)`
`static void` `c_TitanSmallEncoder_setEncoder​(long handle, double distPerTick, double encoder0DistPerTick)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TitanSmallEncoderJNI

    public TitanSmallEncoderJNI()

### Method Detail

#### c_TitanSmallEncoder_setEncoder

    public static void c_TitanSmallEncoder_setEncoder​(long handle,
                                                      double distPerTick,
                                                      double encoder0DistPerTick)

#### c_TitanSmallEncoder_getEncoderDistance

    public static double c_TitanSmallEncoder_getEncoderDistance​(long handle,
                                                                double encoder0DistPerTick,
                                                                double encoderTicks,
                                                                double distance)

#### c_TitanSmallEncoder_resetEncoder

    public static void c_TitanSmallEncoder_resetEncoder​(long handle)